| Qore DataProvider Module Reference 2.3

Public Attributes | List of all members
DataProvider::DataProviderExpressionInfo Struct Reference

Data provider signature info. More...

## Public Attributes
softlist< hash< DataProviderSignatureTypeInfo > > | args
| Argument types.
string | desc
| The description of the operation.
string | label
| The label used for the expression.
string | name
| The display name.
AbstractDataProviderType | return_type
| The return type.
int | role = ER_All
| The expression role code / bitfield. More...
string | symbol
| The symbol to use when rendering expressions.
int | type
| The type of expression; see DataProvider Expression Type Codes.
bool | varargs = False
| The last argument can be repeated indefinitely.

## Detailed Description

Data provider signature info.

## Member Data Documentation

## ◆ role

int DataProvider::DataProviderExpressionInfo::role = ER_All

The expression role code / bitfield.

See also
  Expression Role Codes